<form name="editForm" role="form" novalidate #editForm="ngForm">
    <div class="modal-header">
        <h6 class="modal-title" id="myInventoryItemLabel" jhiTranslate="mpmApp.inventoryItem.home.moving"></h6>
        <!-- <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button> -->
    </div>
    <div class="modal-body">
        <p-dataTable 
            [value]="inventoryItems" 
            [lazy]="true" 
            [rows]="itemsPerPage" 
            [paginator]="true" 
            [rowsPerPageOptions]="[10,15,20]"
            [totalRecords]="totalRecords" 
            (onLazyLoad)="loadInventoryItemLazy($event)">
                <p-column header="" [style]="{'width': '70px', 'text-align': 'center'}" >
                    <ng-template let-rowIndex="rowIndex" let-rowData="rowData" pTemplate="body">
                        <p-checkbox 
                            name="product-{{rowIndex + 1}}"
                            value="{{rowData | json}}"
                            [(ngModel)]="selectedInventoryItem">
                        </p-checkbox>
                    </ng-template>
                </p-column>
                <p-column header="Product">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idProduct}}
                    </ng-template>
                </p-column>
                <p-column header="Qty" [style]="{'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{countQtyRemaining(rowData)}}
                    </ng-template>
                </p-column>
                <p-column header="Id Machine">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idMachine}}
                    </ng-template>
                </p-column>
                <p-column header="Id Frame">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idFrame}}
                    </ng-template>
                </p-column>
        </p-dataTable>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clearPage()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="button" (click)="pushInventoryItem()" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.select' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>